﻿@{
    ViewData["Title"] = "Đăng nhập";
    Layout = "~/Views/Account/_Layout.cshtml";
}
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Login V15</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!--===============================================================================================-->
    <link rel="icon" type="image/png" href="~/images/icons/favicon.ico" />
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/vendor/bootstrap/css/bootstrap.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/fonts/font-awesome-4.7.0/css/font-awesome.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/fonts/Linearicons-Free-v1.0.0/icon-font.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/vendor/animate/animate.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/vendor/css-hamburgers/hamburgers.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/vendor/animsition/css/animsition.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/vendor/select2/select2.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/vendor/daterangepicker/daterangepicker.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/css/util.css">
    <link rel="stylesheet" type="text/css" href="~/css/main.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="~/css/sweetalert.min.css">
    <!--===============================================================================================-->
    <style>
        #loginModal .modal-dialog {
            -webkit-transform: translate(0,-50%);
            -o-transform: translate(0,-50%);
            transform: translate(0,-50%);
            top: 50%;
            margin: 0 auto;
        }
        .hide {
            display:none;
        }
    </style>
</head>
<body>
    <div class="limiter">
        <div class="container-login100">
            <div class="wrap-login100">
                <div class="login100-form-title" style="background-image: url(./images/bg-01.jpg);">
                    <span class="login100-form-title-1">
                        HỆ THỐNG THÔNG TIN </br>NĂNG LỰC SẢN XUẤT
                    </span>
                </div>




                <form id="FormLogin" class="login100-form validate-form" asp-controller="Account" asp-action="Login">

                    <div class="wrap-input100 validate-input m-b-26" data-validate="Bạn chưa nhập tên đăng nhập">
                        <span class="label-input100">Tài khoản</span>
                        <input class="input100" type="text" name="TenDangNhap" placeholder="Gõ tên đăng nhập">
                        <span class="focus-input100"></span>
                    </div>

                    <div class="wrap-input100 validate-input m-b-18" data-validate="Bạn chưa nhập mật khẩu">
                        <span class="label-input100">Mật khẩu</span>
                        <input class="input100" type="password" name="MatKhau" placeholder="Gõ mật khẩu">
                        <span class="focus-input100"></span>
                    </div>

                    <div class="flex-sb-m w-full p-b-30">
                        <div class="contact100-form-checkbox">
                            <input class="input-checkbox100" id="ckb1" type="checkbox" name="rememberMe">
                            <label class="label-checkbox100" for="ckb1">
                                Ghi nhớ lần sau
                            </label>
                        </div>

                        <div>
                            <a href="#Forgot" class="txt1" id="btnShowModal">
                                Quên mật khẩu?
                            </a>
                        </div>

                    </div>

                    <div class="container-login100-form-btn">
                        <button type="submit" class="login100-form-btn">
                            Đăng nhập
                        </button>

                    </div>
                    <br />
                    <div class="text-md-center">
                        <a href="https://docs.google.com/forms/d/e/1FAIpQLSeiec0xg8R5Cbhj9GSvD6kSxQbWrWCys5PGW5_5ApzbXJii9w/viewform?usp=pp_url" class="txt1">
                            <b>Nếu bạn chưa có tài khoản vui lòng đăng ký tại đây.</b>
                        </a>
                    </div>
                </form>



            </div>
        </div>
    </div>



    <div class="modal fade" tabindex="-1" id="loginModal"
         data-keyboard="false" data-backdrop="static">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <form id="ForgotForm" action="" method="post">
                    <div class="modal-header">
                        <h4 class="modal-title">Quên mật khẩu</h4>
                    </div>
                    <div class="modal-body">
                        <div class="wrap-input100 validate-input m-b-26" data-validate="Bạn chưa nhập tên đăng nhập">
                            <span class="input1001">Tài khoản</span>
                            <input class="form-control" type="text" name="TenDangNhap" id="TenDangNhap" placeholder="Gõ tên đăng nhập">
                            <span class="focus-input1001"></span>
                        </div>
                        <div class="wrap-input100 validate-input m-b-26" data-validate="Bạn chưa nhập email">
                            <span class="">Email</span>
                            <input class="input1001 form-control" type="email" name="Email" id="Email" placeholder="Gõ email của bạn">
                            <span class="focus-input1001"></span>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary button button4 ForgotPassword" 
                                data-loading-text="<i class='fa fa-spinner fa-spin '></i> Processing Order">Gửi</button>
                        <button type="button" id="btnHideModal" class="btn btn-primary button button4 ">Thoát</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    @if (ViewBag.Message != null && ViewBag.Message == "1Tài khoản và mật khẩu không đúng")
    {
        <script type="text/javascript">

        window.onload = function () {
           // alert('@Html.Raw(@ViewBag.Message)');
            swal({
                title: "Đăng nhập thất bại",
                text: 'Tài khoản và mật khẩu không đúng',
                type: 'error',
                showCancelButtonClass: 'OK'
            });
            };

        </script>
    }
    else @if (ViewBag.Message != null && ViewBag.Message == "1Tài khoản hoặc email không tồn tại!")
{
<script type="text/javascript">

    window.onload = function () {
        swal({
            title: "Lỗi",
            text: 'Tài khoản hoặc email không tồn tại!',
            type: 'error',
            showCancelButtonClass: 'OK'
        });
    };

</script>
}
else @if (ViewBag.Message != null && ViewBag.Message == "1Đã gửi mật khẩu qua email. Vui lòng kiểm tra email để thực hiện đổi mật khẩu mới!")
{
<script type="text/javascript">

    window.onload = function () {
        swal({
            title: "Thành công",
            text: 'Đã gửi mật khẩu qua email!',
            type: 'success',
            showCancelButtonClass: 'OK'
        });
    };

</script>
}
else @if (ViewBag.Message != null && ViewBag.Message == "1Hệ thống đang bận, vui lòng thử lại sau!")
{
<script type="text/javascript">

    window.onload = function () {
        swal({
            title: "Lỗi",
            text: 'Hệ thống đang bận, vui lòng thử lại sau!',
            type: 'error',
            showCancelButtonClass: 'OK'
        });
    };

</script>
}


<!--===============================================================================================-->
<script src="~/vendor/jquery/jquery-3.2.1.min.js"></script>
<!--===============================================================================================-->
<script src="~/vendor/animsition/js/animsition.min.js"></script>
<!--===============================================================================================-->
<script src="~/vendor/bootstrap/js/popper.js"></script>
<script src="~/vendor/bootstrap/js/bootstrap.min.js"></script>
<!--===============================================================================================-->
<script src="~/vendor/select2/select2.min.js"></script>
<!--===============================================================================================-->
<script src="~/vendor/daterangepicker/moment.min.js"></script>
<script src="~/vendor/daterangepicker/daterangepicker.js"></script>
<!--===============================================================================================-->
<script src="~/vendor/countdowntime/countdowntime.js"></script>
<!--===============================================================================================-->
<script src="~/js/main.js"></script>
<!--===============================================================================================-->
<script src="~/js/sweetalert.min.js"></script>
<script>
    $(document).ready(function () {
        /*---------------Page Loader--------------*/
        jQuery("#load").fadeOut();
        jQuery("#loading").delay().fadeOut("");

        $("#btnShowModal").click(function () {
            console.log("btnShowModal");
            $("#loginModal").modal('show');
        });

        $("#btnHideModal").click(function () {
            $("#loginModal").modal('hide');
        });
        $("body").delegate('.ForgotPassword', 'click', function () {
            console.log("ForgotPassword");
            $("#btnHideModal").addClass('hide');
            $(".ForgotPassword").attr('disabled',true);
            $(".ForgotPassword").empty();
            $(".ForgotPassword").append("<i class='fa fa-refresh fa-spin'></i> Đang xử lý");
            var TenDangNhap = $('#TenDangNhap').val();
            var Email = $('#Email').val();
            if (TenDangNhap != "" && Email != "") {
                $.ajax({
                    type: "POST",
                    url: '@Url.Action("Forgot", "Account")',
                    data: { TenDangNhap: TenDangNhap, Email: Email},
                    dataType: 'text',
                    success: function (data) {
                        console.log(data);
                        if (data == "SUCCESS") {
                            swal({
                                title: "Thành công",
                                text: 'Đã gửi mật khẩu qua email. Vui lòng kiểm tra email để thực hiện đổi mật khẩu mới!',
                                type: 'success',
                                confirmButtonText: "Đồng ý",
                                showCancelButton: false
                            },
                               function (isConfirm) {
                                   if (isConfirm) {
                                       window.location.reload();
                                    }
                                }
                            );

                        } else {
                            swal({
                                title: "Lỗi",
                                text: data,
                                type: 'error',
                                showCancelButtonClass: 'OK'
                            });

                            $("#btnHideModal").removeClass('hide');
                            $(".ForgotPassword").attr('disabled', false);
                            $(".ForgotPassword").empty();
                            $(".ForgotPassword").append("Gửi");
                        }
                    },
                    error: function (e) {
                        swal({
                            title: "Lỗi",
                            text: 'Hệ thống đang bận, vui lòng thử lại sau!',
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });

                        $("#btnHideModal").removeClass('hide');
                        $(".ForgotPassword").attr('disabled', false);
                        $(".ForgotPassword").empty();
                        $(".ForgotPassword").append("Gửi");
                    }
                });
            } else {
                alert("Vui lòng nhập đủ thông tin!");

                $("#btnHideModal").removeClass('hide');
                $(".ForgotPassword").attr('disabled', false);
                $(".ForgotPassword").empty();
                $(".ForgotPassword").append("Gửi");
            }
        });
    });

</script>
</body>
</html>